STRINGS(1)

NAME
strings - find printable strings in an object file or binary

SYNOPSIS
strings [ - ] [ -o ] [ -number ] filename ...

DESCRIPTION
strings looks for ASCII strings in a binary file. A string is any sequence of 4 or more printing characters ending with a NEWLINE or a null character.

strings is useful for identifying random object files and many other things.

OPTIONS

-   Look everywhere in the file for strings. If this flag is omitted, strings only looks in the initialized data space of object files.

-o  Precede each string by its offset in the file.

-number
    Use number as the minimum string length rather than 4.

SEE ALSO
od(1V)

NOTES
strings is not 8-bit clean because it makes too many mistakes when it is expected to look for strings containing non-ASCII characters.

BUGS
The algorithm for identifying strings is extremely primitive.